class JasperStream

    streamPDF: (source, destination, options) ->
        appPath = "#{__dirname}/java/jasper-report.jar"
        jasper = require('child_process').spawn 'java', ['-jar', appPath, "#{JSON.stringify(options)}"]

        error = require('fs').createWriteStream 'err.log'

        source.on 'data', (data) ->
            jasper.stdin.write data

        destination.on 'error', (data) ->
            error.write "Destination error: #{data}"

        jasper.stdin.on 'error', (data) ->
            error.write "Stdin error: #{data}"

        jasper.stdout.on 'error', (data) ->
            error.write "Stdout error: #{data}"

        jasper.stdout.on 'data', (data) ->
            destination.write data

        jasper.stdout.on 'end', ->
            destination.end()

module.exports = JasperStream